package com.v1.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@Component("sysConfig")
@ConfigurationProperties
@PropertySource("classpath:/config.properties")
public class SysConfig {

    private String wxH5AppId;
    private String wxH5AppSecret;

    private String wxAppId;
    private String wxAppSecret;

    private String fileUrl;

    public String getWxH5AppId() {
        return wxH5AppId;
    }

    public void setWxH5AppId(String wxH5AppId) {
        this.wxH5AppId = wxH5AppId;
    }

    public String getWxH5AppSecret() {
        return wxH5AppSecret;
    }

    public void setWxH5AppSecret(String wxH5AppSecret) {
        this.wxH5AppSecret = wxH5AppSecret;
    }

    public String getWxAppId() {
        return wxAppId;
    }

    public void setWxAppId(String wxAppId) {
        this.wxAppId = wxAppId;
    }

    public String getWxAppSecret() {
        return wxAppSecret;
    }

    public void setWxAppSecret(String wxAppSecret) {
        this.wxAppSecret = wxAppSecret;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }
}
